import { createSlice } from "@reduxjs/toolkit";

 
const initialState = {
  toggle: undefined,
};

export const toggleSlice = createSlice({
  name: "toggle_sidebar",
  initialState,
  reducers: {
    setToggle: (state, action) => {
      state.toggle = action.payload;
    },
  },
});

export const { setToggle } = toggleSlice.actions;
export const toggleReducer = toggleSlice.reducer;